Holger's Java API

## com.antelmann.image
Class ImageURLEntrySQLStore<T extends ImageURLEntry>

    java.lang.Object
      com.antelmann.db.WrappedDBClassStore<T>
          com.antelmann.sql.TaggablePropertyEntrySQLStore<T,Keyword>
              com.antelmann.image.ImageURLEntrySQLStore<T>

All Implemented Interfaces:
  DBClassStore<T>, ProcessedFilterOption<T>, TransactionRequired, ImageEntryManager<T>, ProcessorHook<T,DatabaseException>, Wrapped<DBClassStore<T>>

    public class ImageURLEntrySQLStore<T extends ImageURLEntry>

extends TaggablePropertyEntrySQLStore<T,Keyword>
implements ImageEntryManager<T>

an implementation of a DBClassStore to be used with ImageURLEntry objects.

Since:
  29. November 2006, 00:48
Author:
  Holger Antelmann
See Also:
  `ImageURLEntryMapper`

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.DBClassStore
`DBClassStore.DBMethod`

Field Summary

Fields inherited from class com.antelmann.sql.TaggablePropertyEntrySQLStore
`detailIdColumn, detailKeyColumn, detailTable, detailValueColumn, tagIdColumn, tagNameColumn, tagTable`

Fields inherited from class com.antelmann.db.WrappedDBClassStore
`store`

Constructor Summary
`ImageURLEntrySQLStore(Database<Connection> database, ObjectRowMapper<T> mapper, Class<T> type)`
`ImageURLEntrySQLStore(Database<Connection> database, String tableName, IDFactory idFactory, Class<T> type)` uses 'id' and 'title' for id and display column
`ImageURLEntrySQLStore(Database<Connection> database, String tableName, String idColumn, String displayColumn, IDFactory idFactory, Class<T> type)`

Method Summary

`

`<TN extends ImageURLEntry.Thumbnail<T>> ThumbnailMapper<TN>`

`

`createThumbnailMapper(Class<TN> tnType)`

`protected void` `initKeys(Database<Connection> db, ObjectRowMapper<T> mapper, Class<T> type, Class<Keyword> groupType)` just provides some appropriate default names assumed to be generally useful in this case
`void` `refreshThumbnails(int maxWidthHeight, Filter<? super T> filter, Monitor mon)` filter and monitor are optional and may be null

Methods inherited from class com.antelmann.db.WrappedDBClassStore

`add, checkReadAccess, checkWriteAccess, containsID, deleteEntries, deleteEntriesIndividually, deleteEntry, exposesInterfaces, fetch, fetchStubs, generateNewID, getAccessFilter, getAccessStubFilter, getDatabase, getEntry, getEntryClass, getFetchProcessor, getPreStoreHandler, getStoreHandler, getStub, getStubProcessor, insert, insertAsNew, isApplyFilterProcessingRecursively, isDeleteEntriesIndividually, isEnsureTransactionsOnFetch, isProcessBeforeFiltering, queryForInterface, remove, setAccessFilter, setAccessStubFilter, setApplyFilterProcessingRecursively, setDeleteEntriesIndividually, setEnsureTransactionsOnFetch, setExposesInterfaces, setFetchProcessor, setPreStoreHandler, setProcessBeforeFiltering, setProcessBeforeFiltering, setStoreHandler, setStubProcessor, size, unwrap, update, wrapFilterForProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImageURLEntrySQLStore

    public ImageURLEntrySQLStore(Database<Connection> database,
                                 String tableName,
                                 IDFactory idFactory,
                                 Class<T> type)
                          throws DatabaseException

  uses 'id' and 'title' for id and display column

  Throws:
    `DatabaseException`

### ImageURLEntrySQLStore

    public ImageURLEntrySQLStore(Database<Connection> database,
                                 String tableName,
                                 String idColumn,
                                 String displayColumn,
                                 IDFactory idFactory,
                                 Class<T> type)
                          throws DatabaseException

Throws:
  `DatabaseException`

### ImageURLEntrySQLStore

    public ImageURLEntrySQLStore(Database<Connection> database,
                                 ObjectRowMapper<T> mapper,
                                 Class<T> type)

Method Detail

### initKeys

    protected void initKeys(Database<Connection> db,
                            ObjectRowMapper<T> mapper,
                            Class<T> type,
                            Class<Keyword> groupType)

  just provides some appropriate default names assumed to be generally useful in this case

  Overrides:
    `initKeys` in class `TaggablePropertyEntrySQLStore<T extends ImageURLEntry,Keyword>`

### createThumbnailMapper

    public <TN extends ImageURLEntry.Thumbnail<T>> ThumbnailMapper<TN> createThumbnailMapper(Class<TN> tnType)
                                                                                 throws DatabaseException

  Throws:
    `DatabaseException`

### refreshThumbnails

    public void refreshThumbnails(int maxWidthHeight,
                                  Filter<? super T> filter,
                                  Monitor mon)
                           throws IOException

  Description copied from interface: `ImageEntryManager`
  filter and monitor are optional and may be null

  Specified by:
    `refreshThumbnails` in interface `ImageEntryManager<T extends ImageURLEntry>`
  Throws:
    `IOException`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads